﻿using Infragistics.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartExternalZoombarCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamZoombar_ZoomChanging(object sender, Infragistics.Controls.ZoomChangeEventArgs e)
        {
            Range zoomRange = e.NewRange;
            datachart1.WindowRect = new Rect()
            {
                Y = 0,
                Height = 1,
                X = zoomRange.Minimum,
                Width = (zoomRange.Maximum - zoomRange.Minimum)
            };
        }
    }
}
