﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartExternalZoombarCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleChartData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleChartData>();

            for (int i = 0; i < 20; i++)
            {
                if (i % 2 == 0)
                {
                    Data.Add(new SampleChartData()
                    {
                        Label = "Label " + i.ToString(),
                        Value1 = 25,
                        Value2 = 30,                        
                    });
                }
                else
                {
                    Data.Add(new SampleChartData()
                    {
                        Label = "Label " + i.ToString(),
                        Value1 = 30,
                        Value2 = 25,                        
                    });
                }
            }
        }
    }

    public class SampleChartData
    {
        public string Label { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }      
    }
}
